FvwmDebug(1)

NAME
FvwmDebug - the FVWM module debugger

SYNOPSIS
FvwmDebug is spawned by fvwm, so no command line invocation will work.

DESCRIPTION
The FvwmDebug captures the stream of module packets coming from fvwm, and displays them on stderr.

COPYRIGHTS
The FvwmDebug program, and the concept for interfacing this module to the Window Manager, are all original work by Robert Nation Copyright 1994, Robert Nation. No guarantees or warranties or anything are provided or implied in any way whatsoever. Use this program at your own risk. Permission to use this program for any purpose is given, as long as the copyright is kept intact.

INITIALIZATION
During initialization, the FvwmDebug requests that fvwm dump a complete window list into its pipe. These packets are terminated with and "end Send_WindowList" message.

INVOCATION
FvwmDebug can be invoked by inserting the line 'Module FvwmDebug' in the .fvwm2rc file. This can be placed on a line by itself, if FvwmDebug is to be spawned during fvwm's initialization, or can be bound to a menu or mouse button or keystroke to invoke it later. Fvwm will search directory specified in the ModulePath configuration option to attempt to locate FvwmDebug. You may optionally use the following arguments when invoking FvwmDebug:

-v  Enables verbose output of window flag data

filename
    Sends output to an arbitrary file instead of stderr

CONFIGURATION OPTIONS
There are no configuration options.

AUTHOR
Robert Nation